import 'dart:io';
import 'package:firebase_core/firebase_core.dart';
import 'package:flutter/material.dart';
import 'package:storemonitor/FirebaseApi.dart';
import 'Screens/SplashScreen.dart';

Future<void> main() async {
  if (Platform.isAndroid) {
    WidgetsFlutterBinding.ensureInitialized();
    await Firebase.initializeApp();
    await FirebaseApi().initNotifications();
  }
   runApp(const MaterialApp(
      debugShowCheckedModeBanner: false,
      home: SplashScreen(),
   )
  );
}
